# FoundationClasses
TKernel
Units

# Units_UnitsSystem Class Reference

This class allows the user to define his own
system of units.
.

`#include <Units_UnitsSystem.hxx>`

Inheritance diagram for Units_UnitsSystem:

[legend]

## Public Member Functions

Standard_EXPORT | Units_UnitsSystem ()
| Returns an instance of UnitsSystem initialized to the S.I. units system. .
Standard_EXPORT | Units_UnitsSystem (const Standard_CString aName, const Standard_Boolean Verbose=Standard_False)
| Returns an instance of UnitsSystem initialized to the S.I. units system upgraded by the base system units decription file. Attempts to find the four following files: $CSF_`aName`Defaults/.aName $CSF_`aName`SiteDefaults/.aName $CSF_`aName`GroupDefaults/.aName $CSF_`aName`UserDefaults/.aName See : Resource_Manager for the description of this file. .
Standard_EXPORT Handle_Units_QuantitiesSequence | QuantitiesSequence () const
| Returns the sequence of refined quantities. .
Standard_EXPORT Handle_TColStd_HSequenceOfInteger | ActiveUnitsSequence () const
| Returns a sequence of integer in correspondance with the sequence of quantities, which indicates, for each redefined quantity, the index into the sequence of units, of the active unit. .
Standard_EXPORT void | Specify (const Standard_CString aquantity, const Standard_CString aunit)
| Specifies for <aquantity> the unit <aunit> used. .
Standard_EXPORT void | Remove (const Standard_CString aquantity, const Standard_CString aunit)
| Removes for <aquantity> the unit <aunit> used. .
Standard_EXPORT void | Activate (const Standard_CString aquantity, const Standard_CString aunit)
| Specifies for <aquantity> the unit <aunit> used. .
Standard_EXPORT void | Activates ()
| Activates the first unit of all defined system quantities .
Standard_EXPORT TCollection_AsciiString | ActiveUnit (const Standard_CString aquantity) const
| Returns for <aquantity> the active unit. .
Standard_EXPORT Standard_Real | ConvertValueToUserSystem (const Standard_CString aquantity, const Standard_Real avalue, const Standard_CString aunit) const
| Converts a real value <avalue> from the unit <aunit> belonging to the physical dimensions <aquantity> to the corresponding unit of the user system. .
Standard_EXPORT Standard_Real | ConvertSIValueToUserSystem (const Standard_CString aquantity, const Standard_Real avalue) const
| Converts the real value <avalue> from the S.I. system of units to the user system of units. <aquantity> is the physical dimensions of the measurement. .
Standard_EXPORT Standard_Real | ConvertUserSystemValueToSI (const Standard_CString aquantity, const Standard_Real avalue) const
| Converts the real value <avalue> from the user system of units to the S.I. system of units. <aquantity> is the physical dimensions of the measurement. .
Standard_EXPORT void | Dump () const
Standard_EXPORT Standard_Boolean | IsEmpty () const
| Returns TRUE if no units has been defined in the system. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Units_QuantitiesSequence | thequantitiessequence
Handle_TColStd_HSequenceOfInteger | theactiveunitssequence

## Constructor & Destructor Documentation

Standard_EXPORT Units_UnitsSystem::Units_UnitsSystem | ( |  | ) |

Standard_EXPORT Units_UnitsSystem::Units_UnitsSystem | ( | const Standard_CString | aName,
|  | const Standard_Boolean | Verbose = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void Units_UnitsSystem::Activate | ( | const Standard_CString | aquantity,
|  | const Standard_CString | aunit
| ) |

Standard_EXPORT void Units_UnitsSystem::Activates | ( |  | ) |

Standard_EXPORT TCollection_AsciiString Units_UnitsSystem::ActiveUnit | ( | const Standard_CString | aquantity | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfInteger Units_UnitsSystem::ActiveUnitsSequence | ( |  | ) | const

Standard_EXPORT Standard_Real Units_UnitsSystem::ConvertSIValueToUserSystem | ( | const Standard_CString | aquantity,
|  | const Standard_Real | avalue
| ) | const

Standard_EXPORT Standard_Real Units_UnitsSystem::ConvertUserSystemValueToSI | ( | const Standard_CString | aquantity,
|  | const Standard_Real | avalue
| ) | const

Standard_EXPORT Standard_Real Units_UnitsSystem::ConvertValueToUserSystem | ( | const Standard_CString | aquantity,
|  | const Standard_Real | avalue,
|  | const Standard_CString | aunit
| ) | const

Standard_EXPORT void Units_UnitsSystem::Dump | ( |  | ) | const

Standard_EXPORT const Units_UnitsSystem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Boolean Units_UnitsSystem::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Units_QuantitiesSequence Units_UnitsSystem::QuantitiesSequence | ( |  | ) | const

Standard_EXPORT void Units_UnitsSystem::Remove | ( | const Standard_CString | aquantity,
|  | const Standard_CString | aunit
| ) |

Standard_EXPORT void Units_UnitsSystem::Specify | ( | const Standard_CString | aquantity,
|  | const Standard_CString | aunit
| ) |

## Field Documentation

Handle_TColStd_HSequenceOfInteger Units_UnitsSystem::theactiveunitssequence `[private]`

Handle_Units_QuantitiesSequence Units_UnitsSystem::thequantitiessequence `[private]`

The documentation for this class was generated from the following file:

- Units_UnitsSystem.hxx